人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

php-4.3.8-2.1.src.rpm
を、redhat 8.0 にインストールしようとすると下記のエラーがでます。
V3 DSA signature: BAD, key ID 4f2a6fd2
それで、http://fedora.redhat.com/about/security/4F2A6FD2.txt
をいれてもエラーになります。解決方法はあるでしょうか? Redhat8 が前提ですのでよろしくお願いします。

●質問者: isogaya
●カテゴリ:ウェブ制作
✍キーワード:Key PHP RedHat rpm SRC
○ 状態 :終了
└ 回答数 : 2/2件

▽最新の回答へ

1 ● ghostdog
●30ポイント

http://www.google.co.jp/search?q=cache:Lh0G2XZhxa4J:www.jp.redha...

あまり自信がないのですが、回答が無いようなので…。

署名確認でエラーになるということですよね。

これはダウンロードしたRPMファイル(php-4.3.8-2.1.src.rpm)が正しいファイルではない(壊れている?)ということだと思うので、

もう一度ダウンロードしなおしてはいかがでしょうか。

的外れでしたらごめんなさい。

http://www.jp.redhat.com/manual/Doc9/rhl-cg-ja-9/s1-check-rpm-si...

◎質問者からの返答

可能性ありますよね。


2 ● creith
●30ポイント

http://www.atmarkit.co.jp/flinux/rensai/linuxtips/487warningrpm....

@IT:rpmコマンドで警告が表示される

正式に署名を通す、という点では回答になっていませんが、ただインストールするのが目的であればnosignatureなどを使ってしまうのはいかがでしょう?

rio.stのほうでは12月19日の記事で似たような事例が載っています。

http://rio.st/archives/cat_php.html

◎質問者からの返答

ではとりあえず、これでゆきます。ありがとうございます。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ